
package de.ivu.elect.business.gruppe.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.jee.faces.Messages;

@Named
public class ReferendumVorlageMeta implements Meta {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient Messages messages;

  @Inject
  private transient PolitischeGruppeMeta politischeGruppeMeta;

  public ReferendumVorlageMeta() {
    super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey() {
    return ReferendumVorlageConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public String getMehrzahlMessageKey() {
    return ReferendumVorlageConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }

  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage() {
    return getMessage(getMehrzahlMessageKey());
  }

  public String getMinderheitEinzahlMessageKey() {
    return politischeGruppeMeta.getMinderheitEinzahlMessageKey();
  }

  public String getMinderheitMehrzahlMessageKey() {
    return politischeGruppeMeta.getMinderheitMehrzahlMessageKey();
  }

  public String getMinderheitEinzahlMessage() {
    return politischeGruppeMeta.getMinderheitEinzahlMessage();
  }

  public String getMinderheitMehrzahlMessage() {
    return politischeGruppeMeta.getMinderheitMehrzahlMessage();
  }

  public boolean isMinderheitRequired() {
    return politischeGruppeMeta.isMinderheitRequired();
  }

  public String getFarbeExternEinzahlMessageKey() {
    return politischeGruppeMeta.getFarbeExternEinzahlMessageKey();
  }

  public String getFarbeExternMehrzahlMessageKey() {
    return politischeGruppeMeta.getFarbeExternMehrzahlMessageKey();
  }

  public String getFarbeExternEinzahlMessage() {
    return politischeGruppeMeta.getFarbeExternEinzahlMessage();
  }

  public String getFarbeExternMehrzahlMessage() {
    return politischeGruppeMeta.getFarbeExternMehrzahlMessage();
  }

  public boolean isFarbeExternRequired() {
    return politischeGruppeMeta.isFarbeExternRequired();
  }

  public int getFarbeExternMaxLength() {
    return politischeGruppeMeta.getFarbeExternMaxLength();
  }

  public String getFarbeEinzahlMessageKey() {
    return politischeGruppeMeta.getFarbeEinzahlMessageKey();
  }

  public String getFarbeMehrzahlMessageKey() {
    return politischeGruppeMeta.getFarbeMehrzahlMessageKey();
  }

  public String getFarbeEinzahlMessage() {
    return politischeGruppeMeta.getFarbeEinzahlMessage();
  }

  public String getFarbeMehrzahlMessage() {
    return politischeGruppeMeta.getFarbeMehrzahlMessage();
  }

  public boolean isFarbeRequired() {
    return politischeGruppeMeta.isFarbeRequired();
  }

  public int getFarbeMaxLength() {
    return politischeGruppeMeta.getFarbeMaxLength();
  }

  public String getNameEinzahlMessageKey() {
    return ReferendumVorlageConstants.MESSAGE_KEY_NAME_EINZAHL;
  }

  public String getNameMehrzahlMessageKey() {
    return ReferendumVorlageConstants.MESSAGE_KEY_NAME_MEHRZAHL;
  }

  public String getNameEinzahlMessage() {
    return getMessage(getNameEinzahlMessageKey());
  }

  public String getNameMehrzahlMessage() {
    return getMessage(getNameMehrzahlMessageKey());
  }

  public boolean isNameRequired() {
    return politischeGruppeMeta.isNameRequired();
  }

  public int getNameMaxLength() {
    return politischeGruppeMeta.getNameMaxLength();
  }

  public String getInPraesentationEinzahlMessageKey() {
    return politischeGruppeMeta.getInPraesentationEinzahlMessageKey();
  }

  public String getInPraesentationMehrzahlMessageKey() {
    return politischeGruppeMeta.getInPraesentationMehrzahlMessageKey();
  }

  public String getInPraesentationEinzahlMessage() {
    return politischeGruppeMeta.getInPraesentationEinzahlMessage();
  }

  public String getInPraesentationMehrzahlMessage() {
    return politischeGruppeMeta.getInPraesentationMehrzahlMessage();
  }

  public boolean isInPraesentationRequired() {
    return politischeGruppeMeta.isInPraesentationRequired();
  }

  public String getGruppeArtEinzahlMessageKey() {
    return politischeGruppeMeta.getGruppeArtEinzahlMessageKey();
  }

  public String getGruppeArtMehrzahlMessageKey() {
    return politischeGruppeMeta.getGruppeArtMehrzahlMessageKey();
  }

  public String getGruppeArtEinzahlMessage() {
    return politischeGruppeMeta.getGruppeArtEinzahlMessage();
  }

  public String getGruppeArtMehrzahlMessage() {
    return politischeGruppeMeta.getGruppeArtMehrzahlMessage();
  }

  public boolean isGruppeArtRequired() {
    return politischeGruppeMeta.isGruppeArtRequired();
  }

  public String getKurznameEinzahlMessageKey() {
    return politischeGruppeMeta.getKurznameEinzahlMessageKey();
  }

  public String getKurznameMehrzahlMessageKey() {
    return politischeGruppeMeta.getKurznameMehrzahlMessageKey();
  }

  public String getKurznameEinzahlMessage() {
    return politischeGruppeMeta.getKurznameEinzahlMessage();
  }

  public String getKurznameMehrzahlMessage() {
    return politischeGruppeMeta.getKurznameMehrzahlMessage();
  }

  public boolean isKurznameRequired() {
    return politischeGruppeMeta.isKurznameRequired();
  }

  public int getKurznameMaxLength() {
    return politischeGruppeMeta.getKurznameMaxLength();
  }

  public String getSchluesselEinzahlMessageKey() {
    return politischeGruppeMeta.getSchluesselEinzahlMessageKey();
  }

  public String getSchluesselMehrzahlMessageKey() {
    return politischeGruppeMeta.getSchluesselMehrzahlMessageKey();
  }

  public String getSchluesselEinzahlMessage() {
    return politischeGruppeMeta.getSchluesselEinzahlMessage();
  }

  public String getSchluesselMehrzahlMessage() {
    return politischeGruppeMeta.getSchluesselMehrzahlMessage();
  }

  public boolean isSchluesselRequired() {
    return politischeGruppeMeta.isSchluesselRequired();
  }

  public int getSchluesselMaxLength() {
    return politischeGruppeMeta.getSchluesselMaxLength();
  }

  public String getGehoertZuEinzahlMessageKey() {
    return politischeGruppeMeta.getGehoertZuEinzahlMessageKey();
  }

  public String getGehoertZuEinzahlMessage() {
    return politischeGruppeMeta.getGehoertZuEinzahlMessage();
  }

  public boolean isGehoertZuRequired() {
    return politischeGruppeMeta.isGehoertZuRequired();
  }

  public String getWahlEinzahlMessageKey() {
    return politischeGruppeMeta.getWahlEinzahlMessageKey();
  }

  public String getWahlEinzahlMessage() {
    return politischeGruppeMeta.getWahlEinzahlMessage();
  }

  public boolean isWahlRequired() {
    return politischeGruppeMeta.isWahlRequired();
  }

  public String getCustomDataStorageEinzahlMessageKey() {
    return politischeGruppeMeta.getCustomDataStorageEinzahlMessageKey();
  }

  public String getCustomDataStorageEinzahlMessage() {
    return politischeGruppeMeta.getCustomDataStorageEinzahlMessage();
  }

  public boolean isCustomDataStorageRequired() {
    return politischeGruppeMeta.isCustomDataStorageRequired();
  }

}
